package com.test.basd.smartjunkcleaner.helps

import com.blankj.utilcode.util.AppUtils
import com.blankj.utilcode.util.SPUtils
import com.test.basd.smartjunkcleaner.activity.splash.NewSplashActivity


object ConfigHelper {
    var gid = ""
    var isOpenNotification = false
    var appList: List<AppUtils.AppInfo>? = null


    // 域名
    const val eventUrl = "https://rp.letienthanh372.xyz/"
    const val apiUrl = "https://api.letienthanh372.xyz"

    // admob广告id
    const val openAdmobId = "/6499/example/app-open"
    const val interAdmobId = "ca-app-pub-3940256099942544/1033173712"
    const val nativeAdmobId = "ca-app-pub-3940256099942544/2247696110"

    // 正式包名
    const val packageName = "com.ksmartzx.zxjunkcleanerkzx"

    val noLoadingActivities = listOf(
        "full", // 过滤全屏广告
        "adActivity",
        NewSplashActivity::class.java.simpleName
        // 返回前台时不跳转启动页的 activity
    )
    var junkSizeClean = 0L
        get() {
            return SPUtils.getInstance().getLong("junkSizeClean", field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put("junkSizeClean", value)
        }



    var ifAgreePrivacy = false
        get() {
            return SPUtils.getInstance().getBoolean("ifAgreePrivacy", field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put("ifAgreePrivacy", value, true)
        }
    var ifGuest = false
        get() {
            return SPUtils.getInstance().getBoolean("ifGuest", field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put("ifGuest", value, true)
        }


}